Live Bookmarks, can't edit   rename feed.



When adding a Live Bookmark, or after adding one, it should be possible to edit how the feed's name appears in the Bookmark menu, in Places, and on toolbars.




to 
Live Bookmark
feed, choose "Properties"


Nothing.


You should be able to edit the feed's name.

(Windows; U; Windows NT  en-US; rv:1.8.0.1)   ID:2006011112
